> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Video Details

> Get all publicly available details about a Youtube Video



## OpenAPI

````yaml /openapi/youtube.openapi.json get /v1/data/youtube/video/details
openapi: 3.0.0
info:
  title: agntdata YouTube API
  description: >-
    Comprehensive YouTube API with robust features for YouTube search, detailed
    YouTube video insights, channel information, access to YouTube trending
    content, and personalized YouTube recommendations.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: Trending
    description: ''
  - name: Channel
    description: ''
  - name: Search
    description: ''
  - name: Video
    description: ''
  - name: Audio
    description: ''
  - name: Screenshot
    description: ''
paths:
  /v1/data/youtube/video/details:
    get:
      tags:
        - Video
      summary: Video Details
      description: Get all publicly available details about a Youtube Video
      operationId: Video_Details
      parameters:
        - name: video_id
          in: query
          required: true
          schema:
            type: string
            default: PuQFESk0BrA
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_youtube_video_details_Response'
              example:
                video_id: PuQFESk0BrA
                title: Your Mom's House Podcast - Ep. 488 w/ Bert Kreischer
                author: YMH Studios
                number_of_views: 1979639
                video_length: '7456'
                description: >-
                  Woah Mommies, it's a very special week so pull those jeans up.
                  This week we have the fattest working comedian currently alive
                  today. When will he die? The Mommies discuss before Bart's
                  arrival. Plus, did you know it's SHART WEEK!?


                  Bert Kresicher arrives with all the hate in his big,
                  over-sized heart. There is a debate about who the true Tour
                  Bus Champ really is, plus we see never before seen clips from
                  Brad's NETFLIX special. Do you know what a Mississippi Wet
                  Wipe is? What's the worst smelling part of Brent's body? All
                  these questions are answered, plus some new Sober October
                  plans for the coming festivities. 


                  http://saatvamattress.com/

                  http://yourmomshousepodcast.com/

                  http://www.merchmethod.com/tomsegura/

                  https://www.facebook.com/yourmomshousepodcast

                  https://www.reddit.com/r/yourmomshousepodcast
                is_live_content: 'False'
                published_time: '2019-02-27'
                channel_id: UCYIgiXwJck_Pb5Nj-wIrsqg
                category: Comedy
                type: NORMAL
                keywords:
                  - ymh
                  - your mom's house
                  - your moms house
                  - tom segura
                  - christina pazsitzky
                  - christina p
                  - mommies
                  - jeans
                  - up
                  - high and tight
                  - what's with the jeans
                  - denim on denim
                  - podcast
                thumbnails:
                  - url: >-
                      https://i.ytimg.com/vi/PuQFESk0BrA/hqdefault.jpg?sqp=-oaymwEbCKgBEF5IVfKriqkDDggBFQAAiEIYAXABwAEG&rs=AOn4CLAVzr3xrzBAumvcTN1rfWgf6k0Ffg
                    width: 168
                    height: 94
                  - url: >-
                      https://i.ytimg.com/vi/PuQFESk0BrA/hqdefault.jpg?sqp=-oaymwEbCMQBEG5IVfKriqkDDggBFQAAiEIYAXABwAEG&rs=AOn4CLA8bb2XgAmmG0FliFnvHa88ToJbNw
                    width: 196
                    height: 110
                  - url: >-
                      https://i.ytimg.com/vi/PuQFESk0BrA/hqdefault.jpg?sqp=-oaymwEcCPYBEIoBSFXyq4qpAw4IARUAAIhCGAFwAcABBg==&rs=AOn4CLDIW7onzWaqFkntZ83G34Jy2CLcTA
                    width: 246
                    height: 138
                  - url: >-
                      https://i.ytimg.com/vi/PuQFESk0BrA/hqdefault.jpg?sqp=-oaymwEcCNACELwBSFXyq4qpAw4IARUAAIhCGAFwAcABBg==&rs=AOn4CLDl589UI9J8P0KUvzkjIxgoGqNoww
                    width: 336
                    height: 188
                  - url: https://i.ytimg.com/vi_webp/PuQFESk0BrA/maxresdefault.webp
                    width: 1920
                    height: 1080
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_youtube_video_details_Response422'
              example:
                detail:
                  - loc: []
                    msg: ''
                    type: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_youtube_video_details_Response:
      title: Video
      required:
        - video_id
      type: object
      properties:
        video_id:
          title: Video Id
          type: string
        title:
          title: Title
          type: string
        author:
          title: Author
          type: string
        number_of_views:
          title: Number Of Views
          type: integer
        video_length:
          title: Video Length
          type: string
        description:
          title: Description
          type: string
        is_live_content:
          title: Is Live Content
          type: string
        published_time:
          title: Published Time
          type: string
        channel_id:
          title: Channel Id
          type: string
        category:
          title: Category
          type: string
        type:
          title: Type
          type: string
          default: NORMAL
        keywords:
          title: Keywords
          type: array
          items:
            type: string
        thumbnails:
          title: Thumbnails
          type: array
          items:
            type: object
      description: Schema Class for a Youtube video
    Get_youtube_video_details_Response422:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            title: ValidationError
            required:
              - loc
              - msg
              - type
            type: object
            properties:
              loc:
                title: Location
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: integer
              msg:
                title: Message
                type: string
              type:
                title: Error Type
                type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````